Bug 1381853 - No way to override roles_data.yaml
Summary: No way to override roles_data.yaml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 10.0 (Newton)
Assignee: Steven Hardy
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1337782
TreeView+ depends on / blocked
 
Reported: 2016-10-05 08:30 UTC by Marius Cornea
Modified: 2016-12-14 16:09 UTC (History)
9 users (show)

Fixed In Version: python-tripleoclient-5.2.0-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:09:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 378740 None None None 2016-10-05 08:31:15 UTC
Launchpad 1626955 None None None 2016-10-05 08:30:35 UTC

Description Marius Cornea 2016-10-05 08:30:35 UTC
Description of problem:
There's a usability bug with tripleoclient when trying to use custom-roles, because the only way to modify the roles_data.yaml file is to copy the entire templates tree and upload that tree to the plan, e.g

cp -r /usr/share/openstack-tripleo-heat-templates/ tht
vim tht/roles_data.yaml
openstack overcloud deploy --templates tht

This works, but it's inconvenient for folks who want to treat the packaged templates as more of a "black box" vis maintaining (and rebasing) a local copy.

As an alternative, we should enable a similar flow to the -e interface for environments, e.g

openstack overcloud deploy --templates -r custom_roles_data.yaml

I guess a similar interface will be needed when overriding the roles in the default stored plan.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost.noarch

Comment 3 Steven Hardy 2016-10-06 13:48:53 UTC
Upstream patches landed, we just need a build that contains them:

https://review.openstack.org/#/q/I5c6e22fe9516c4e2dad4495127d923f971c32f5d,n,z

Comment 7 errata-xmlrpc 2016-12-14 16:09:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.